商品榜单 - 达人合作榜
简介
获取达人合作榜商品数据,支持以下功能:
- 支持设置过滤参数
- 支持自定义结果排序方式
接口信息
bash
POST /product/v1/rank/mostPromoted请求参数
| 字段 | 类型 | 必选 | 描述 |
|---|---|---|---|
filter | object | 否 | 过滤参数 |
orderby | object | 否 | 排序参数 |
page | integer | 否 | 页码,默认值:1 |
pagesize | integer | 否 | 每页条数,默认值:10 |
filter 可选值
| 字段 | 类型 | 必选 | 描述 |
|---|---|---|---|
region | string | 否 | 国家/地区 |
date_info | object | 否 | 日期信息,例如:{'type': 'day', 'value': '2026-02-01'} |
category_id | integer | 否 | 商品分类 |
is_cross_border | integer | 否 | 是否是跨境商品 |
is_fully_managed | integer | 否 | 是否是全托管商品 |
可用国家/地区:
['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'IT', 'BR', 'JP']
orderby 可选值
| 字段 | 必选 | 描述 |
|---|---|---|
affiliate_count | 否 | 关联达人数 (降序) |
total_affiliate_count | 否 | 总关联达人数 (降序) |
请求示例
bash
curl 'https://openapi.fastmoss.com/product/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"category_id": 2,
"date_info": {
"type": "day",
"value": "2026-02-01"
}
},
"orderby": [
{
"field": "affiliate_count",
"order": "desc"
}
],
"page": 1,
"pagesize": 10
}'响应参数
data.total
- 类型: integer
- 描述: 结果总数
data.list
| 字段 | 类型 | 描述 |
|---|---|---|
product_id | string | 商品 ID |
title | string | 商品标题 |
region | string | 国家/地区 |
cover | string | 商品封面图 URL |
category | object | 商品分类 |
commission_rate | integer | 佣金比例 |
real_price | string | 商品价格 |
currency | string | 价格币种 |
units_sold | integer | 销量 |
gmv | integer | 销售额 |
affiliate_count | integer | 关联达人数 |
total_affiliate_count | integer | 总关联达人数 |
shop | object | 店铺信息 |
data.list.shop
| 字段 | 类型 | 描述 |
|---|---|---|
seller_id | string | 店铺 ID |
name | string | 店铺名称 |
avatar | string | 店铺封面图 URL |
total_units_sold | integer | 店铺总销量 |
响应示例
json
{
"code": 0,
"msg": "success",
"data": {
"total": 500,
"list": [
{
"product_id": "1731252369156444451",
"units_sold": 833,
"gmv": 14994,
"affiliate_count": 214,
"total_affiliate_count": 8176,
"off_shelves": 0,
"launch_time": 1748956607,
"title": "e.l.f. Halo Glow Skin Tint SPF 50 - Hydrating Serum-Like Concealer with Mineral SPF 50 Sunscreen, Lightweight & Water-Resistant, 18 Shades, 30ml",
"cover": "https://s.500fd.com/tt_product/f9b6e759e360420384cdacec82808f85~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
"region": "US",
"currency": "USD",
"real_price": "$18.00",
"commission_rate": 1500,
"category": {
"l1": {
"id": 14,
"name": "Beauty & Personal Care"
},
"l2": {
"id": 848648,
"name": "Makeup"
},
"l3": {
"id": 601554,
"name": "Concealer & Foundation\t"
}
},
"shop": {
"avatar": "https://s.500fd.com/tt_shop/9ff01cdd6a0e4497aa55aae3403362c5~tplv-omjb5zjo8w-resize-png:300:300.png",
"seller_id": "7494913857786775843",
"name": "e.l.f. Cosmetics",
"total_units_sold": 2369716,
"is_fully_managed": null
}
}
]
}
}